%define	major 9
%define libname	%mklibname config %{major}
%define libnamedevel	%mklibname -d config

Summary:	Configuration file parsing library
Name:		libconfig
Version:	1.5
Release:	%mkrel 2
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.hyperrealm.com/libconfig/
Source0:	http://www.hyperrealm.com/libconfig/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libname}
Summary:	Configuration file parsing library
Group:          System/Libraries

%description -n	%{libname}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

%package -n	%{libnamedevel}
Summary:	Static library and header files for the %{name} library
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}
Obsoletes:  	%_lib%{name}0-devel

%description -n	%{libnamedevel}
libconfig - Consistent configuration library.

Libconfig is a library to provide easy access to configuration
data in a consistent and logical manner. Variables (registered
through lc_register_var(3) or lc_register_callback(3)) are
processed with the lc_process(3) function. Errors can be examined
through lc_geterrno(3) and lc_geterrstr(3).

This package contains the static %{name} library and its header
files.

%prep
%setup -q

%build
%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.%{major}*

%files -n %{libnamedevel}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_infodir}/*


%changelog
* Tue Sep 26 2017 bb2 <bb2> - 1.5-2pclos2017
- rebuild against updates

* Sun Jan 03 2016 bb <bb> 1.5-1pclos2016
- update

* Sat Jun 25 2011 Texstar <texstar at gmail.com> 1.4.7-1pclos2011
- 1.4.7 update for 2011 release

